Subject: Re: bug#24016: 25.1.50; Running diff-mode from Gnus crashes

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 Jan 2017 17:44:29 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> It's not just diff-mode.  It's any text attachments.  Here's an example:
>
> Debugger entered--Lisp error: (args-out-of-range "a.txt" 28 nil)
>   dir-locals-collect-variables(((emacs-lisp-mode (indent-tabs-mode))

Fixed the bug in files.el.  I think.  It assumes that file names are
absolute, and that's not the case when run from auto-mode etc.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no